//  Program:  date_main.cpp
//  Purpose:  Demonstrate use of the Date class.

#include <iostream>
#include "Date.h"

int main()
{
  std::cout << "Please enter today's date.\n"
	    << "Provide the  month, day and year: ";
  int month, day, year;
  std::cin >> month >> day >> year;
  Date today( month, day, year );

  Date tomorrow( today.getMonth(), today.getDay(), today.getYear() );
  tomorrow.increment();
  
  std::cout << "Tomorow is ";
  tomorrow.print();
  std::cout << std::endl;

  Date myBirthday(9,29,1995);  // call a different constructor
  if ( sameDayAndMonth( tomorrow, myBirthday) )
    {
      std::cout << "Hey, tomorrow is my birthday!\n";
    }
  
  std::cout << "The last day in this month is " << today.lastDayInMonth()
	    << std::endl;
  return 0;
}
